> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/authentication-flow-for-intake-api/get-authorized-applications.md).

# GET Authorized Applications

List a user's authorized applications so they can review and revoke if desired

## List applications authorized by the current user

> Lists OAuth clients the signed-in user has already approved for their account. User must be logged in to HealthSherpa to view this list. Page will have a button that allows users to revoke their authorization.<br>

```json
{"openapi":"3.0.3","info":{"title":"HealthSherpa OAuth Authorization","version":"1.0.0"},"tags":[{"name":"GET authorized_applications","description":"List a user's authorized applications so they can review and revoke if desired"}],"servers":[{"url":"https://healthsherpa.com/oauth","description":"Production environment"},{"url":"https://staging.healthsherpa.com/oauth","description":"Staging environment"}],"security":[{"signedInUserSession":[]}],"components":{"securitySchemes":{"signedInUserSession":{"type":"apiKey","in":"cookie","name":"_healthcomp_session","description":"Browser session cookie for a signed-in HealthSherpa user."}},"parameters":{"JsonFormatQuery":{"name":"format","in":"query","required":false,"schema":{"type":"string","enum":["json"]},"description":"Request JSON responses (e.g. `?format=json`)."}},"schemas":{"HtmlBody":{"type":"string","description":"HTML document body."}}},"paths":{"/authorized_applications":{"get":{"summary":"List applications authorized by the current user","description":"Lists OAuth clients the signed-in user has already approved for their account. User must be logged in to HealthSherpa to view this list. Page will have a button that allows users to revoke their authorization.\n","operationId":"oauthAuthorizedApplicationsIndex","tags":["GET authorized_applications"],"parameters":[{"$ref":"#/components/parameters/JsonFormatQuery"}],"responses":{"200":{"description":"HTML or JSON list of applications (JSON uses limited public fields for confidential clients).","content":{"text/html":{"schema":{"$ref":"#/components/schemas/HtmlBody"}}}},"302":{"description":"Redirect to login when unauthenticated."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/authentication-flow-for-intake-api/get-authorized-applications.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
